zenilib: TiXmlAttribute Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Friends | List of all members
TiXmlAttribute Class Reference

`#include <tinyxml.h>`

Inherits TiXmlBase.

## Public Member Functions

| TiXmlAttribute ()
| Construct an empty attribute. More...
| TiXmlAttribute (const char *_name, const char *_value)
| Construct an attribute with a name and value. More...
double | DoubleValue () const
| Return the value of this attribute, converted to a double. More...
int | IntValue () const
| Return the value of this attribute, converted to an integer. More...
const char * | Name () const
| Return the name of this attribute. More...
const TIXML_STRING & | NameTStr () const
const TiXmlAttribute * | Next () const
| Get the next sibling attribute in the DOM. Returns null at end. More...
TiXmlAttribute * | Next ()
bool | operator< (const TiXmlAttribute &rhs) const
bool | operator== (const TiXmlAttribute &rhs) const
bool | operator> (const TiXmlAttribute &rhs) const
virtual const char * | Parse (const char *p, TiXmlParsingData *data, TiXmlEncoding encoding)
const TiXmlAttribute * | Previous () const
| Get the previous sibling attribute in the DOM. Returns null at beginning. More...
TiXmlAttribute * | Previous ()
virtual void | Print (FILE *cfile, int depth) const
void | Print (FILE *cfile, int depth, TIXML_STRING *str) const
int | QueryDoubleValue (double *_value) const
| QueryDoubleValue examines the value string. See QueryIntValue(). More...
int | QueryIntValue (int *_value) const
void | SetDocument (TiXmlDocument *doc)
void | SetDoubleValue (double _value)
| Set the value from a double. More...
void | SetIntValue (int _value)
| Set the value from an integer. More...
void | SetName (const char *_name)
| Set the name of this attribute. More...
void | SetValue (const char *_value)
| Set the value. More...
const char * | Value () const
| Return the value of this attribute. More...
Public Member Functions inherited from TiXmlBase
| TiXmlBase ()
virtual | ~TiXmlBase ()
int | Column () const
| See Row() More...
void * | GetUserData ()
| Get a pointer to arbitrary user data. More...
const void * | GetUserData () const
| Get a pointer to arbitrary user data. More...
int | Row () const
void | SetUserData (void *user)
| Set a pointer to arbitrary user data. More...

## Friends

class | TiXmlAttributeSet

## Additional Inherited Members

Public Types inherited from TiXmlBase

enum

{
TIXML_NO_ERROR = 0, TIXML_ERROR, TIXML_ERROR_OPENING_FILE, TIXML_ERROR_PARSING_ELEMENT,
TIXML_ERROR_FAILED_TO_READ_ELEMENT_NAME, TIXML_ERROR_READING_ELEMENT_VALUE, TIXML_ERROR_READING_ATTRIBUTES, TIXML_ERROR_PARSING_EMPTY,
TIXML_ERROR_READING_END_TAG, TIXML_ERROR_PARSING_UNKNOWN, TIXML_ERROR_PARSING_COMMENT, TIXML_ERROR_PARSING_DECLARATION,
TIXML_ERROR_DOCUMENT_EMPTY, TIXML_ERROR_EMBEDDED_NULL, TIXML_ERROR_PARSING_CDATA, TIXML_ERROR_DOCUMENT_TOP_ONLY,
TIXML_ERROR_STRING_COUNT
}

Static Public Member Functions inherited from TiXmlBase
static void | EncodeString (const TIXML_STRING &str, TIXML_STRING *out)
static bool | IsWhiteSpaceCondensed ()
| Return the current white space setting. More...
static void | SetCondenseWhiteSpace (bool condense)
Static Public Attributes inherited from TiXmlBase
static const int | utf8ByteTable [256]
Static Protected Member Functions inherited from TiXmlBase
static void | ConvertUTF32ToUTF8 (unsigned long input, char *output, int *length)
static const char * | GetChar (const char *p, char *_value, int *length, TiXmlEncoding encoding)
static const char * | GetEntity (const char *in, char *value, int *length, TiXmlEncoding encoding)
static int | IsAlpha (unsigned char anyByte, TiXmlEncoding encoding)
static int | IsAlphaNum (unsigned char anyByte, TiXmlEncoding encoding)
static bool | IsWhiteSpace (char c)
static bool | IsWhiteSpace (int c)
static const char * | ReadName (const char *p, TIXML_STRING *name, TiXmlEncoding encoding)
static const char * | ReadText (const char *in, TIXML_STRING *text, bool ignoreWhiteSpace, const char *endTag, bool ignoreCase, TiXmlEncoding encoding)
static const char * | SkipWhiteSpace (const char *, TiXmlEncoding encoding)
static bool | StringEqual (const char *p, const char *endTag, bool ignoreCase, TiXmlEncoding encoding)
static int | ToLower (int v, TiXmlEncoding encoding)
Protected Attributes inherited from TiXmlBase
TiXmlCursor | location
void * | userData
| Field containing a generic user pointer. More...
Static Protected Attributes inherited from TiXmlBase
static const char * | errorString [TIXML_ERROR_STRING_COUNT]

## Detailed Description

An attribute is a name-value pair. Elements have an arbitrary number of attributes, each with a unique name.

Note
  The attributes are not TiXmlNodes, since they are not part of the tinyXML document object model. There are other suggested ways to look at this problem.

Definition at line 779 of file tinyxml.h.

## Constructor & Destructor Documentation

TiXmlAttribute::TiXmlAttribute | ( |  | ) |

inline

Construct an empty attribute.

Definition at line 785 of file tinyxml.h.

TiXmlAttribute::TiXmlAttribute | ( | const char * | _name,
|  | const char * | _value
| ) |  |

inline

Construct an attribute with a name and value.

Definition at line 803 of file tinyxml.h.

## Member Function Documentation

double TiXmlAttribute::DoubleValue | ( |  | ) | const

Return the value of this attribute, converted to a double.

Definition at line 1232 of file tinyxml.cpp.

int TiXmlAttribute::IntValue | ( |  | ) | const

Return the value of this attribute, converted to an integer.

Definition at line 1227 of file tinyxml.cpp.

const char* TiXmlAttribute::Name | ( |  | ) | const

inline

Return the name of this attribute.

Definition at line 811 of file tinyxml.h.

Referenced by TiXmlAttributeSet::Add(), TiXmlElement::CopyTo(), and TiXmlElement::Parse().

const TIXML_STRING& TiXmlAttribute::NameTStr | ( |  | ) | const

inline

Definition at line 820 of file tinyxml.h.

Referenced by TiXmlElement::Parse().

const TiXmlAttribute * TiXmlAttribute::Next | ( |  | ) | const

Get the next sibling attribute in the DOM. Returns null at end.

Definition at line 1125 of file tinyxml.cpp.

Referenced by TiXmlElement::CopyTo(), TiXmlElement::Print(), and TiXmlPrinter::VisitEnter().

TiXmlAttribute* TiXmlAttribute::Next | ( |  | ) |

inline

Definition at line 850 of file tinyxml.h.

bool TiXmlAttribute::operator< | ( | const TiXmlAttribute & | rhs | ) | const

inline

Definition at line 861 of file tinyxml.h.

bool TiXmlAttribute::operator== | ( | const TiXmlAttribute & | rhs | ) | const

inline

Definition at line 860 of file tinyxml.h.

bool TiXmlAttribute::operator> | ( | const TiXmlAttribute & | rhs | ) | const

inline

Definition at line 862 of file tinyxml.h.

const char * TiXmlAttribute::Parse | ( | const char * | p,
|  | TiXmlParsingData * | data,
|  | TiXmlEncoding | encoding
| ) |  |

virtual

Implements TiXmlBase.

Definition at line 1390 of file tinyxmlparser.cpp.

References TiXmlBase::IsWhiteSpace(), TiXmlBase::ReadName(), TiXmlBase::ReadText(), TiXmlDocument::SetError(), TiXmlBase::SkipWhiteSpace(), and TiXmlBase::TIXML_ERROR_READING_ATTRIBUTES.

Referenced by TiXmlElement::Parse(), and TiXmlDeclaration::Parse().

const TiXmlAttribute * TiXmlAttribute::Previous | ( |  | ) | const

Get the previous sibling attribute in the DOM. Returns null at beginning.

Definition at line 1145 of file tinyxml.cpp.

TiXmlAttribute* TiXmlAttribute::Previous | ( |  | ) |

inline

Definition at line 856 of file tinyxml.h.

virtual void TiXmlAttribute::Print | ( | FILE * | cfile,
|  | int | depth
| ) |  | const

inlinevirtual

All TinyXml classes can print themselves to a filestream or the string class (TiXmlString in non-STL mode, std::string in STL mode.) Either or both cfile and str can be null.

This is a formatted print, and will insert tabs and newlines.

(For an unformatted stream, use the << operator.)

Implements TiXmlBase.

Definition at line 870 of file tinyxml.h.

References TiXmlBase::Print().

Referenced by TiXmlPrinter::VisitEnter().

void TiXmlAttribute::Print | ( | FILE * | cfile,
|  | int | depth,
|  | TIXML_STRING * | str
| ) |  | const

Definition at line 1165 of file tinyxml.cpp.

References TiXmlBase::EncodeString(), and TIXML_STRING.

int TiXmlAttribute::QueryDoubleValue | ( | double * | _value | ) | const

QueryDoubleValue examines the value string. See QueryIntValue().

Definition at line 1198 of file tinyxml.cpp.

References TIXML_SSCANF, TIXML_SUCCESS, and TIXML_WRONG_TYPE.

Referenced by TiXmlElement::Attribute(), and TiXmlElement::QueryDoubleAttribute().

int TiXmlAttribute::QueryIntValue | ( | int * | _value | ) | const

QueryIntValue examines the value string. It is an alternative to the IntValue() method with richer error checking. If the value is an integer, it is stored in 'value' and the call returns TIXML_SUCCESS. If it is not an integer, it returns TIXML_WRONG_TYPE.

A specialized but useful call. Note that for success it returns 0, which is the opposite of almost all other TinyXml calls.

Definition at line 1191 of file tinyxml.cpp.

References TIXML_SSCANF, TIXML_SUCCESS, and TIXML_WRONG_TYPE.

Referenced by TiXmlElement::Attribute(), and TiXmlElement::QueryIntAttribute().

void TiXmlAttribute::SetDocument | ( | TiXmlDocument * | doc | ) |

inline

Definition at line 877 of file tinyxml.h.

Referenced by TiXmlElement::Parse().

void TiXmlAttribute::SetDoubleValue | ( | double | _value | ) |

Set the value from a double.

Definition at line 1216 of file tinyxml.cpp.

References SetValue(), and TIXML_SNPRINTF.

Referenced by TiXmlElement::SetDoubleAttribute().

void TiXmlAttribute::SetIntValue | ( | int | _value | ) |

Set the value from an integer.

Definition at line 1205 of file tinyxml.cpp.

References SetValue(), and TIXML_SNPRINTF.

Referenced by TiXmlElement::SetAttribute().

void TiXmlAttribute::SetName | ( | const char * | _name | ) |

inline

Set the name of this attribute.

Definition at line 835 of file tinyxml.h.

Referenced by TiXmlAttributeSet::FindOrCreate().

void TiXmlAttribute::SetValue | ( | const char * | _value | ) |

inline

Set the value.

Definition at line 836 of file tinyxml.h.

Referenced by TiXmlElement::SetAttribute(), SetDoubleValue(), and SetIntValue().

const char* TiXmlAttribute::Value | ( |  | ) | const

inline

Return the value of this attribute.

Definition at line 812 of file tinyxml.h.

Referenced by TiXmlElement::Attribute(), TiXmlElement::CopyTo(), and TiXmlDeclaration::Parse().

## Friends And Related Function Documentation

friend class TiXmlAttributeSet

friend

Definition at line 781 of file tinyxml.h.

The documentation for this class was generated from the following files:

- zenilib/jni/external/tinyxml/tinyxml.h
- zenilib/jni/external/tinyxml/tinyxml.cpp
- zenilib/jni/external/tinyxml/tinyxmlparser.cpp